
// TourServer.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th
/*
   Server, který čeká na připojení klientů a pro každého z nich
   vytváří vlákno TourServerHandler.

   Údaje o každém klientovi udržuje objekt typu TourGroup, na který
   má každé vlákno odkaz.  

   Velmi podobná multi-vláknovému diskusnímu serveru ve třídě Chat.
*/

import java.net.*;
import java.io.*;


public class TourServer
{
  static final int PORT = 5555;
  
  private TourGroup tg;

  public TourServer()
  // počkej na připojení klienta, vytvoř vlákno a vše znovu opakuj
  {
    tg = new TourGroup();
    try {
      ServerSocket serverSock = new ServerSocket(PORT);
      Socket clientSock;

      while (true) {
        System.out.println("Čekám na klienta...");
        clientSock = serverSock.accept();
        new TourServerHandler(clientSock, tg).start();
      }
    }
    catch(Exception e)
    {  System.out.println(e);  }
  }  // konec metody: TourServer()


  // -----------------------------------

  public static void main(String args[]) 
  {  new TourServer();  }

} // konec třídy: TourServer class

